#!/bin/bash
#SBATCH -N 1
#SBATCH --partition=exfel
#SBATCH --time=12:00:00
#SBATCH --mail-type=END,FAIL
#SBATCH --output=logs/%j-%x.out

PROPOSAL=2619
DARK=$1
RUN=$2
GAIN=$3
MODULE=15

source /etc/profile.d/modules.sh
module load exfel
module load exfel_anaconda3/1.1

echo processing run $RUN
mkdir r$RUN
papermill 'BOZ analysis part I parameters determination.ipynb' r$RUN/output.ipynb \
 -p proposal $PROPOSAL -p darkrun $DARK -p run $RUN -p module $MODULE \
 -p gain $GAIN -k xfel
